SUBDIRS  = mimetypes

INCLUDES = -I$(top_srcdir)/kmobile -I$(top_srcdir) $(all_includes)

kde_module_LTLIBRARIES = tdeio_mobile.la

tdeio_mobile_la_SOURCES = tdeio_mobile.cpp 
tdeio_mobile_la_LIBADD = $(LIB_TDEIO) ../libkmobileclient.la
tdeio_mobile_la_LDFLAGS = $(all_libraries) $(KDE_RPATH) -module $(KDE_PLUGIN)

kde_services_DATA = mobile.protocol cellphone.protocol \
	organizer.protocol pda.protocol 
# do not install the camera protocol now - we already have a 
# camera tdeioslave !!
#	phonecamera.protocol

messages:
	$(XGETTEXT) *.cpp -o $(podir)/tdeio_mobile.pot
